#import <appkit/appkit.h>

@protocol ScoreKeeperDelegate

// return NO if the change is not to be made
- (BOOL)scoreWillChangeFrom:(int)oldScore to:(int)newScore;

// alert of new score (so can give xtra man or whatever...)
- scoreChangedFrom:(int)oldScore to:(int)newScore;

@end

@protocol PlayerUpViewDelegate

- oneUpUsed;		// any time a one up is used up
- oneUpAdded;		// any time a one up is added
- oneUpAwarded;		// when bonus "xtra" man is awarded
- allOneUpsGone;	// sent when a one up is requested and none are left

@end

@protocol GKCollisionDelegate

- actor:actor1 collidedWith:actor2; // sent upon a collision between two actors

@end
